<?php ###################################################################################################
####### +---------------------------------------------------------------------------------------+ #######
####### |	counter_count.php																	| #######
####### |																						| #######
####### |	Diese Datei ist Teil des B4YCounter v4.0.0											| #######
####### |	Name des Authors: Gnther Hrandl													| #######
####### |	zuletzt gendert: Jnner 2006														| #######
####### |	COPYRIGHT by Gnther Hrandl														| #######
####### |	Kontakt: webmaster@hoerandl.com														| #######
####### |	Homepage: http://www.hoerandl.com													| #######
####### +---------------------------------------------------------------------------------------+ #######
####### |	Dieses Script ist Freeware, solange die NUTZUNGSBEDINGUNGEN  eingehalten werden !!	| #######
####### |	Die Nutzungsbedingungen liegen dieser Datei als "nutzungsbedingung.txt" bei.		| #######
####### |	Sollte aus irgendwelchen Grnden auch immer diese nicht vorhanden sein, so kann 	| #######
####### |	man sie unter http://www.hoerandl.com nachlesen!									| #######
####### +---------------------------------------------------------------------------------------+ #######
###################################################################################################### ?>



<?php
#########################################################################################################
# 001 #		Includes laden     ##########################################################################
#########################################################################################################
	require_once("includes/config.inc.php");			// Konfigurationseinstellunen	
	require_once("includes/dbconnect.inc.php");			// mit Datenbank verbinden
	require_once("includes/vars_count.inc.php");		// count-Variablen
	require_once("includes/func_count.inc.php");		// count-Funktionen


#########################################################################################################
# 002 #		veraltete Daten lschen     #################################################################
#########################################################################################################
	b4yc_del_DBdata();										// [func_count.inc.php - 001]


#########################################################################################################
# 003 #		Seitenaufrufe-Gesamt hochzhlen (KEINE IP-Sperre)     #######################################
#########################################################################################################
	b4yc_make_count("max_hits","counter_max");			// [func_count.inc.php - 003]


#########################################################################################################
# 004 #		IP-Sperre berprfung     ###################################################################
#########################################################################################################
	if (b4yc_check_ip()=="0") 							// neue IP? [func_count.inc.php - 002] 
	{
		b4yc_write_ip_data();							// Besucherdaten in die DB "counter_data" schreiben [func_count.inc.php - 004]
		b4yc_make_count("visits_all","counter_max"); 	// Besucherzhler-Gesamt hochzhlen [func_count.inc.php - 003]
	}
	else												// KEINE neue IP:
	{
		b4yc_update_ip_data();							// Update der Daten dieser IP [func_count.inc.php - 005]
	}


#########################################################################################################
# 005 #		berprfung und Hochzhlung der maximalen Besucher/Tag     ##################################
#########################################################################################################
	b4yc_write_max_visits();							// [func_count.inc.php - 006]


#########################################################################################################
# 006 #		berprfung und Hochzhlung der Besucher die gleichzeitig online sind     ###################
#########################################################################################################
	b4yc_write_max_online();							// [func_count.inc.php - 007]


#########################################################################################################
# 007 #		alle notwendigen Daten fr die grafische Statistik auslesen und in die DB schreiben     #####
#########################################################################################################
	b4yc_make_stats();									// [func_count.inc.php - 008]

?>