<?php 
////////////////////////////////////////////////////////////////////////////// 
//  Blaetterfunktion  -  erstellt von Carsten Franke, mail@dbCF.de          // 
//  Veroeffentlicht unter der den Bedingungen der GPL                       // 
//  Nutzung und Anpassungen erlaubt, solange diese Box intakt bleibt.       // 
////////////////////////////////////////////////////////////////////////////// 
//  Funktion zum erstellen einer Linkliste, die das Blaettern durch eine    // 
//  bestimmte Zahl Links erlaubt.                                           // 
////////////////////////////////////////////////////////////////////////////// 
//  Das Design sowie alle Trennzeichen und Markierungen koennen beliebig    // 
//  angepasst werden. Vor jedem Aufruf muessen einzig die Werte $ll_entries // 
//  und $ll_active_page festgelegt werden. Der Rest erfreut sich einer      // 
//  einmaligen Einstellung.                                                 // 
//  Funktion wurde nach bestem Gewissen getestet. 100%ige Funktionalitaet   // 
//  wird aber nicht garantiert. Bei Problemen bitte an mich wenden:         // 
//  E-Mail: mail@dbCF.de                         Website: http://dbCF.de/   // 
////////////////////////////////////////////////////////////////////////////// 
//  --> Konfigurationsdatei                                                 // 
////////////////////////////////////////////////////////////////////////////// 

// Um Probleme mit anderen Variablen Ihrer Skripte zu vermeiden fangen alle 
//  Variablen mit ll_ an (ll = LinkList) 

// Eintraege pro Seite 
$ll_epp=$b4yc_entries_per_day;

// aktuelle Seite {_B4YC_SUMME_ENTRIES}
// Achtung: 10 hier, bedeutet bei der Ausgabe Seite 11 !! 
// Dieser Wert MUSS dynamisch festgelegt werden. 
// 'ap' muss mit der letzten Variable bei $ll_link_href uebereinstimmen!! (ap = active page) 
$ll_active_page=isset($_GET['b4yc_ap']) ? $_GET['b4yc_ap'] : 0; 
// Fuer PHP-Versionen, aelter als 4.1 nimmt man das: 
// $ll_active_page=isset($ap) ? $ap : 0; 

// Trennzeichen zwischen den Links 
$ll_delimiter=" "; 

// Wohin der Link verweisen soll 
// WICHTIG!! Die Variable, die den Wert der aktuellen Seite enthaelt muss 
//  ganz am Ende stehen und dahinter ein = !! Die Seitenzahl wird immer 
//  hinten angehangen, weshalb das unbedingt beachtet werden muss!!  {_B4YC_BLAETTERN_URL}
// $ll_link_href=$b4yc_url.'/statistiks/details.php?b4yc_day_details='.$b4yc_day_details.'&b4yc_ap='; 

// Praefix des Linkbezeichners
$ll_link_text=''; 

// zusaetzliches Zeug, wie CSS-Angaben, JavaScript, usw. 
// wenn was eingetragen wird, dann Leerzeichen an Anfang setzen!! 
$ll_link_style=" target='_self'"; 

// zusaetzliche HTML-Tags oder Abstandshalter um die jeweilige Seite 
$ll_link_bracket_left='['; # &#145;
$ll_link_bracket_right=']'; #&#146;

// wie oben, aber fuer die aktuelle Seite 
$ll_link_active_style=" target='_self'"; 
$ll_link_active_bracket_left='<font size="+1"><b>['; 
$ll_link_active_bracket_right=']</font></b>'; 

// alle Links anzeigen (true), oder nur erste, mittlere und letzte (false) 
// true  -->  1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 
// false -->  1 2 3 ... 8 9 10 ... 15 16 17 
$ll_continuous=false; 

// aeussere Links anzeigen 
// true  -->  1 2 3 ... 8 9 10 ... 15 16 17 
// false -->  ... 8 9 10 ... 
$ll_show_outer=true; 

// Links zu den Seiten oder ein Link zum Start/Ende 
// interessiert nur, wenn $ll_show_outer=true 
// true   -->  1 2 3 ... 8 9 10 ... 15 16 17 
// false  -->  $ll_link_first ... 8 9 10 ... $ll_link_last 
$ll_show_outer_pages=true; 

// Platzhalter zwischen 1 2 3 und 8 9 10 und 15 16 17 
$ll_inner_outer_spacer=' ... '; 

// Anzahl Links, die angezeigt werden sollen 
// bei gerader Zahl wird automatisch die naechst groessere genommen 
// 3 ist zu empfehlen - sieht meist am besten aus 
$ll_show_count=3; 

// Bezeichner fuer Link zum Start und Ende 
$ll_link_first='Anfang'; 
$ll_link_last='Ende'; 

// Bezeichner fuer naechste und vorherige Seite 
// wird nur angezeigt, wenn $ll_show_outer=false 
$ll_link_next=' &laquo; '; 
$ll_link_prev=' &raquo; '; 
?> 



<?php 
////////////////////////////////////////////////////////////////////////////// 
//  Blaetterfunktion  -  erstellt von Carsten Franke, mail@dbCF.de          // 
//  Veroeffentlicht unter der den Bedingungen der GPL                       // 
//  Nutzung und Anpassungen erlaubt, solange diese Box intakt bleibt.       // 
////////////////////////////////////////////////////////////////////////////// 
//  Funktion zum erstellen einer Linkliste, die das Blaettern durch eine    // 
//  bestimmte Zahl Links erlaubt.                                           // 
////////////////////////////////////////////////////////////////////////////// 
//  Das Design sowie alle Trennzeichen und Markierungen koennen beliebig    // 
//  angepasst werden. Vor jedem Aufruf muessen einzig die Werte $ll_entries // 
//  und $ll_active_page festgelegt werden. Der Rest erfreut sich einer      // 
//  einmaligen Einstellung.                                                 // 
//  Funktion wurde nach bestem Gewissen getestet. 100%ige Funktionalitaet   // 
//  wird aber nicht garantiert. Bei Problemen bitte an mich wenden:         // 
//  E-Mail: mail@dbCF.de                         Website: http://dbCF.de/   // 
////////////////////////////////////////////////////////////////////////////// 
//  --> eigentliches Skript zur Erstellung der Linkliste                    // 
////////////////////////////////////////////////////////////////////////////// 

// Um Probleme mit anderen Variablen Ihrer Skripte zu vermeiden fangen alle 
//  Variablen mit ll_ an (ll = LinkList) 

// ------------------------- 
// Eintraege insgesamt - DIESE VARIABLE MUSS GESETZT SEIN!! 
// Dies passiert nicht in diesem Skript!! 
// Dieser Wert wird normalerweise dynamisch vergeben, z.B. aus einer Datenbankabfrage 
// Beispiel: $ll_entries=mysql_num_rows($resource); 
// ------------------------- 

// Gesamteintrge setzen
// $ll_entries=$b4yc_summe_visits_per_day;
$ll_entries=$b4yc_summe_visits;

// falls es ueberschrieben wird, hier Kopie anfertigen 
$ll_delimiter_ori=$ll_delimiter; 

// $ll_links enthaelt den String der Links 
$ll_links=''; 

// Anzahl der Links ermitteln 
// % gibt den Rest einer Divison aus 
$ll_link_count = $ll_entries%$ll_epp==0 ? $ll_entries/$ll_epp : floor($ll_entries/$ll_epp)+1; 

// pruefen, ob angegebene aktuelle Seite im moeglichen Bereich ist 
if ($ll_link_count<$ll_active_page) { 
    $ll_active_page=$ll_link_count-1; 
} 
else if ($ll_active_page<0 || !is_numeric($ll_active_page)) { 
    $ll_active_page=0; 
} 

// wenn alle Seiten angezeigt werden sollen 
// oder Anzahl Links kleiner oder gleich als $ll_show_count ist 
if ($ll_continuous==true || $ll_link_count<=$ll_show_count) { 
    // Schleife zum ausgeben aller Links 
    for ($ll_i=0; $ll_i<$ll_link_count; $ll_i++) { 
        // wenn letzter Link dran ist, dann Trennzeichen entfernen 
        if ($ll_i==$ll_link_count-1) { 
            $ll_delimiter=''; 
        } 
        // wenn aktueller Link der Link der aktuellen Seite ist... 
        if ($ll_active_page==$ll_i) { 
            // Link zusammensetzen und an $ll_links anhaengen 
            // Prinzip ist ab hier immer das Selbe, nur Werte variieren 
            $ll_links.="<a href='".$ll_link_href.$ll_i."'".$ll_link_active_style." class=\"b4yc\">". 
            $ll_link_active_bracket_left.$ll_link_text.($ll_i+1).$ll_link_active_bracket_right. 
            "</a>".$ll_delimiter; 
        } 
        // ...sonst... 
        else { 
            $ll_links.="<a href='".$ll_link_href.$ll_i."'".$ll_link_style." class=\"b4yc\">".$ll_link_bracket_left. 
            $ll_link_text.($ll_i+1).$ll_link_bracket_right."</a>".$ll_delimiter; 
        } 
    } 
} 
// nicht alle Links darstellen und Anzahl Links ist groesser als $ll_show_count 
else { 
    // ermitteln, wie viele Links um den aktuellen angezeigt werden sollen 
    // Beispiel: show_count=5 --> x=2, da ganzzahliger Wert von 5/2=2 ist 
    $ll_x=floor($ll_show_count/2); 

    // wenn $ll_show_outer==false ist, dann waere $ll_i undefinert, daher die Initialisierung 
    $ll_i=0; 

    // Links 1 2 3 bzw. Anfang erstellen 
    if ($ll_show_outer==true) { 
        // wenn 1 2 3 erwuenscht ist... 
        if ($ll_show_outer_pages==true) { 
            // nur so viele Links anhaengen, wie bei show_count angegeben wurden 
            for ($ll_i=0; $ll_i<$ll_show_count; $ll_i++) { 
                // wenn letzter Link dran ist, dann Trennzeichen entfernen 
                if ($ll_i==$ll_show_count-1) { 
                    $ll_delimiter=''; 
                } 
                // wenn aktueller Link der Link der aktuellen Seite ist... 
                if ($ll_active_page==$ll_i) { 
                    $ll_links.="<a href='".$ll_link_href.$ll_i."'".$ll_link_active_style." class=\"b4yc\">". 
                    $ll_link_active_bracket_left.$ll_link_text.($ll_i+1). 
                    $ll_link_active_bracket_right."</a>".$ll_delimiter; 
                } 
                // ...sonst... 
                else { 
                    $ll_links.="<a href='".$ll_link_href.$ll_i."'".$ll_link_style." class=\"b4yc\">". 
                    $ll_link_bracket_left.$ll_link_text.($ll_i+1).$ll_link_bracket_right."</a>". 
                    $ll_delimiter; 
                } 
            } 
        } 
        // ...sonst Anfang anfuegen 
        elseif ($ll_active_page-$ll_x>0) { 
            $ll_links.="<a href='".$ll_link_href."0'".$ll_link_style." class=\"b4yc\">".$ll_link_first."</a>"; 
        } 
        // da Trennzeichen vermutlich entfernt wurde, wird es wieder zurueckgesetzt 
        $ll_delimiter=$ll_delimiter_ori; 
    } 

    // mittlere (inner) Links erstellen 
    // Pruefen, ob ... ich weiss es nicht, aber es klappt... 
    if ($ll_i<$ll_show_count || $ll_active_page>=$ll_i || $ll_active_page<=$ll_link_count-$ll_show_count) { 
        // wenn Zahl anzuzeigender Links kleiner ist als aktuelle Seite minus Zahl 
        //  umgebender Links 
        if ($ll_show_count<$ll_active_page-$ll_x) { 
            // wenn 1 2 3 und Anfang nicht erwuenscht, dann $ll_link_prev anzeigen 
            if ($ll_show_outer==false) { 
                $ll_links.="<a href='".$ll_link_href.($ll_active_page-1)."'".$ll_link_style." class=\"b4yc\">". 
                $ll_link_prev."</a>"; 
            } 
            // sonst Trennzeichen zwischen aeusseren und inneren Links 
            else { 
                $ll_links.=$ll_inner_outer_spacer; 
            } 
        } 
        // wenn 1 2 3 oder Anfang angezeigt werden soll und 
        //  aktuelle Seite minus Zahl umgebender Links groesser Null 
        //  und Zahl zeigender Links kleiner aktuelle Seite minus Zahl umgebender Links, 
        // dann einfaches Trennzeichen anzeigen 
        elseif ($ll_show_outer==true && $ll_active_page-$ll_x>0 && $ll_show_count<$ll_active_page-$ll_x) { 
            $ll_links.=$ll_delimiter; 
        } 
        // wenn 1 2 3 und Anfang nicht erwuenscht und aktuelle Seite minus Zahl 
        //  umgebende Links minus 1 (warum das??) groesser oder gleich Null, 
        // dann Link $ll_link_prev anzeigen 
        elseif ($ll_show_outer==false && $ll_active_page-$ll_x-1>=0) { 
            $ll_links.="<a href='".$ll_link_href.($ll_active_page-$ll_x-1)."'".$ll_link_style." class=\"b4yc\">". 
            $ll_link_prev."</a>"; 
        } 
        // wenn Anfang angezeigt werden soll und aktuelle Seite mindestens 2 und 
        //  aktuelle Seite plus Zahl umgebender Links groesser oder gleich Anzahl zu 
        //  zeigender Links, 
        // dann Trennzeichen zwischen inneren und aeusseren Links anzeigen 
        elseif ($ll_show_outer==true && $ll_show_outer_pages==false && $ll_active_page>1 && 
                $ll_active_page+$ll_x>=$ll_show_count) { 
            $ll_links.=$ll_inner_outer_spacer; 
        } 
        // wenn aeussere Links angezeigft werden soll und aktuelle Seite plus Zahl 
        //  umgebender Links groesser oder gleich Anzahl zu zeigender Links 
        // oder aeussere Links nicht gezeigt werden sollen aktuelle Seite plus Zahl 
        //  umgebender Links plus 1 groesser Anzahl zu zeigender Links, 
        // dann Trennzeichen entfernen 
        elseif (($ll_show_outer==true && $ll_active_page+$ll_x>=$ll_show_count) || 
                ($ll_show_outer==false && $ll_active_page+$ll_x+1>$ll_show_count)) { 
            $ll_links.=$ll_delimiter; 
        } 

        // innere Links ausgeben 
        // Beispiel: aktuelle Seite ist 5, dann wird 4 5 6 ausgegeben 
        for ($ll_i=$ll_active_page-$ll_x; $ll_i<$ll_active_page+$ll_x+1; $ll_i++) { 
            // falls $ll_i kleiner Null, dann bei Schleifenbeginn fortfahren 
            if ($ll_i<0) { 
                continue; 
            } 
            // wenn letzter aller moeglichen Links dran waere, dann abbrechen 
            elseif ($ll_i==$ll_link_count) { 
                break; 
            } 

            // wenn letzter Link dran ist, dann Trennzeichen entfernen 
            if ($ll_i==$ll_active_page+$ll_x || $ll_i+1==$ll_link_count) { 
                $ll_delimiter=''; 
            } 
            // wenn aktueller Link der Link der aktuellen Seite ist... 
            if ($ll_active_page==$ll_i) { 
                // wenn aeussere Links nicht gezeigt werden sollen und aktueller 
                //  Link kleiner ist als Gesamtzahl Links 
                // oder aeussere Links angezeigt werden sollen und aktueller Link 
                //  groesser Zahl zu zeigender Links minus 1 und aktueller Link 
                //  kleiner als Gesamtzahl Links 
                // oder aeussere Links angezeigt werden sollen und nicht 1 2 3 
                //  gezeigt werden soll, 
                // dann Link mit Attributen fuer aktiv anhaengen 
                if (($ll_show_outer==false && $ll_i>=0 && $ll_i<$ll_link_count) || 
                    ($ll_show_outer==true && $ll_i>$ll_show_count-1 && $ll_i<$ll_link_count) || 
                    ($ll_show_outer==true && $ll_show_outer_pages==false)) { 
                    $ll_links.="<a href='".$ll_link_href.$ll_i."'".$ll_link_active_style." class=\"b4yc\">". 
                    $ll_link_active_bracket_left.$ll_link_text.($ll_i+1). 
                    $ll_link_active_bracket_right."</a>".$ll_delimiter; 
                } 
            } 
            // ...sonst... 
            else { 
                // siehe if-Abfrage darueber 
                // dann normalen Link anhaengen 
                if (($ll_show_outer==false && $ll_i>=0 && $ll_i<$ll_link_count) || 
                    ($ll_show_outer==true && $ll_i>$ll_show_count-1 && $ll_i<$ll_link_count) || 
                    ($ll_show_outer==true && $ll_show_outer_pages==false)) { 
                    $ll_links.="<a href='".$ll_link_href.$ll_i."'".$ll_link_style." class=\"b4yc\">". 
                    $ll_link_bracket_left.$ll_link_text.($ll_i+1).$ll_link_bracket_right. 
                    "</a>".$ll_delimiter; 
                } 
            } 
        } 

        // wenn aeussere Links nicht gezeigt werden sollen und aktueller Link 
        //  kleiner ist als Gesamtzahl Links, 
        // dann Link fuer naechste Seite anzeigen 
        if ($ll_show_outer==false && $ll_i<$ll_link_count) { 
            $ll_links.="<a href='".$ll_link_href.($ll_active_page+1)."'".$ll_link_style." class=\"b4yc\">". 
            $ll_link_next."</a>"; 
        } 
        // da Trennzeichen vermutlich entfernt wurde, wird es wieder zurueckgesetzt 
        $ll_delimiter=$ll_delimiter_ori; 
    } 
    else { 
        $ll_links.=$ll_inner_outer_spacer; 
    } 

    // Links  15 16 17 bzw. Ende erstellen 
    if ($ll_show_outer==true) { 
        // wenn Anfang erwuenscht und aktuelle Seite plus Zahl umgebender Links plus 1 
        //  kleiner oder gleich Gesamtzahl Links minus Zahl zu zeigender Links ist 
        // oder 1 2 3 erwuenscht und aktuelle Seite plus Zahl umgebender Links plus 1 
        //  kleiner Gesamtzahl Links minus Zahl zu zeigender Links ist, 
        // dann Trennzeichen fuer innere und aeussere Links anhaengen 
        if (($ll_show_outer_pages==false && $ll_active_page+$ll_x+1<=$ll_link_count-$ll_show_count) || 
            ($ll_show_outer_pages==true && $ll_active_page+$ll_x+1<$ll_link_count-$ll_show_count)) { 
            $ll_links.=$ll_inner_outer_spacer; 
        } 
        // wenn 1 2 3 erwuenscht und aktuelle Seite plus Zahl umgebender Links plus 1 
        //  groesser oder gleich Gesamtzahl Links minus Zahl zu zeigender Links ist 
        //  und aktuelle Seite plus Zahl umgebender Links kleiner als Gesantzahl Links 
        //  minus 1 ist, 
        // dann einfaches Trennzeichen anzeigen 
        elseif ($ll_show_outer_pages==true && 
                $ll_active_page+$ll_x+1>=$ll_link_count-$ll_show_count && 
                $ll_active_page+$ll_x<$ll_link_count-1) { 
            $ll_links.=$ll_delimiter; 
        } 

        // wenn 1 2 3 erwuenscht 
        if ($ll_show_outer_pages==true) { 
            // Links anzeigen von Gesamtzahl minus Zahl zu zeigender Links 
            for ($ll_i=$ll_link_count-$ll_show_count; $ll_i<$ll_link_count; $ll_i++) { 
                // wenn ... keine Ahnung ... 
                if ($ll_i>$ll_active_page+$ll_x) { 
                    // wenn letzter Link dran ist, dann Trennzeichen entfernen 
                    if ($ll_i==$ll_link_count-1) { 
                        $ll_delimiter=''; 
                    } 
                    // wenn aktueller Link der Link der aktuellen Seite ist... 
                    if ($ll_active_page==$ll_i) { 
                        $ll_links.="<a href='".$ll_link_href.$ll_i."'".$ll_link_active_style." class=\"b4yc\">". 
                        $ll_link_active_bracket_left.$ll_link_text.($ll_i+1). 
                        $ll_link_active_bracket_right."</a>".$ll_delimiter; 
                    } 
                    // ...sonst... 
                    else { 
                        $ll_links.="<a href='".$ll_link_href.$ll_i."'".$ll_link_style." class=\"b4yc\">". 
                        $ll_link_bracket_left.$ll_link_text.($ll_i+1).$ll_link_bracket_right. 
                        "</a>".$ll_delimiter; 
                    } 
                } 
            } 
        } 
        // wenn 1 2 3 nicht erwuenscht (s.o.) und aktuelle Seite plus Zahl umgebender 
        //  Links plus 1 kleienr ist als Gesamtzahl Links, dann... 
        elseif ($ll_active_page+$ll_x+1<$ll_link_count) { 
            // ...wenn aktuelle Seite plus Zahl umgebender Links groesser oder gleich 
            //  Gesamtzahl minus Zahl zu zeigender Links ist, 
            // dann Trennzeichen zwischen inneren und aeusseren Links anzeigen 
            if ($ll_active_page+$ll_x>=$ll_link_count-$ll_show_count) { 
                $ll_links.=$ll_inner_outer_spacer; 
            } 
            // Link Ende anhaengen 
            $ll_links.="<a href='".$ll_link_href.($ll_link_count-1)."'".$ll_link_style." class=\"b4yc\">". 
            $ll_link_last."</a>"; 
        } 
    } 

} 

// Trennzeichen zuruecksetzen 
$ll_delimiter=$ll_delimiter_ori; 

// Linkliste ausgeben 
# echo $ll_links; 
?> 