<?php ###################################################################################################
####### +---------------------------------------------------------------------------------------+ #######
####### |	include/temp_stats.inc.php															| #######
####### |																						| #######
####### |	Diese Datei ist Teil des B4YCounter v4.0.0											| #######
####### |	Name des Authors: Gnther Hrandl													| #######
####### |	zuletzt gendert: Jnner 2006														| #######
####### |	COPYRIGHT by Gnther Hrandl														| #######
####### |	Kontakt: webmaster@hoerandl.com														| #######
####### |	Homepage: http://www.hoerandl.com													| #######
####### +---------------------------------------------------------------------------------------+ #######
####### |	Dieses Script ist Freeware, solange die NUTZUNGSBEDINGUNGEN  eingehalten werden !!	| #######
####### |	Die Nutzungsbedingungen liegen dieser Datei als "nutzungsbedingung.txt" bei.		| #######
####### |	Sollte aus irgendwelchen Grnden auch immer diese nicht vorhanden sein, so kann 	| #######
####### |	man sie unter http://www.hoerandl.com nachlesen!									| #######
####### +---------------------------------------------------------------------------------------+ #######
###################################################################################################### ?>



<?php
#########################################################################################################
# 001 #		Jahresstatistik anzeigen    #################################################################
#########################################################################################################
	function b4yc_temp_stats_year()
	{
		global	$b4yc_url,					// [includes/func_show.inc.php 	- 002]
				$b4yc_templates,			// [includes/config.inc.php 	- 003]
				$b4yc_sel_year,				// [includes/vars_stats.inc.php	- 002]
				$b4yc_db_table,				// [includes/config.inc.php 	- 001]
				$b4yc_month_array,			// [includes/vars_stats.inc.php - 001]
				$b4yc_balken_count_color;	// [includes/func_show.inc.php 	- 002]
				
		#####################################################################################################
		#######		Header der Tabelle aus Templates anzeigen    ############################################
		#################### ################################################################################
			$b4yc_resultat['content'] = join ('', file ('../templates/'.$b4yc_templates.'/statistiks/grafiks_year_header.tpl.php'));
			$b4yc_resultat['content'] = str_replace("{YEAR}",					$b4yc_sel_year,							$b4yc_resultat['content']);
			
#			include ('language.inc.php');;
				
		for ($j = 0; $j < 12; $j++)						// Schleifendurchlauf 12x (Jahr hat 12 Monate)
		{
			$b4yc_count = b4yc_get_count($b4yc_sel_year,($j+1),'__');	// Anzahl der Besucher dieses Monats auslesen und in die Variable "b4yc_count" schreiben

			$b4yc_count_weite = 0;	// Breite des Balkens auf 0 stellen
			if ($b4yc_count!="0")	// Wenn es einen Eintrag in diesem Monat gibt dann erfogt die Bereichnung der Breite des Balkens (in Prozent)
			{
				$b4yc_count_weite = ceil(($b4yc_count/b4yc_get_max_count($b4yc_sel_year))*80)."%";	// Breite der Besucher (in Prozent) des Balkens berechnen	
			}
			#################################################################################################
			#######		Tabellenzeilen mit Balken aus Templates anzeigen    #################################
			#################################################################################################
				$b4yc_resultat['content'] .= join ('', file ('../templates/'.$b4yc_templates.'/statistiks/grafiks_year_table.tpl.php'));
				$b4yc_resultat['content'] = str_replace("{MONTH_TEXT}",		$b4yc_month_array[$j],					$b4yc_resultat['content']);
				$b4yc_resultat['content'] = str_replace("{%}",				$b4yc_count_weite,						$b4yc_resultat['content']);	// Prozent der Gre Balkens der Besucher
				$b4yc_resultat['content'] = str_replace("{WERT}",			$b4yc_count,							$b4yc_resultat['content']);	// Wert der Besucher
				$b4yc_resultat['content'] = str_replace("{COLOR}",			$b4yc_balken_count_color,				$b4yc_resultat['content']);	// Balkenfarbe 
				$b4yc_resultat['content'] = str_replace("{TEMPLATES}",		$b4yc_templates,						$b4yc_resultat['content']);
		}
		####################################################################################################
		#######		Footer der Tabelle aus Templates anzeigen    ############################################
		#####################################################################################################
			$b4yc_resultat['content'] .= join ('', file ('../templates/'.$b4yc_templates.'/statistiks/grafiks_year_footer.tpl.php'));

		include ('language.inc.php');
		return $b4yc_resultat['content'];
	}


#########################################################################################################
# 002 #		Monatsstatistik anzeigen    #################################################################
#########################################################################################################
	function b4yc_temp_stats_month()
	{
		global	$b4yc_url,					// [includes/func_show.inc.php 	- 002]
				$b4yc_templates,			// [includes/config.inc.php 	- 003]
				$b4yc_show_stat_day,
				$b4yc_sel_month,			// [includes/vars_stats.inc.php - 003]
				$b4yc_sel_year,				// [includes/vars_stats.inc.php	- 002]
				$b4yc_db_table,				// [includes/config.inc.php 	- 001]
				$b4yc_month_array,			// [includes/vars_stats.inc.php - 001]
				$b4yc_balken_count_color,	// [includes/func_show.inc.php	- 002]
				$b4yc_heute;				// [includes/vars_stats.inc.php - 006]
				
		#####################################################################################################
		#######		Header der Tabelle aus Templates anzeigen    ############################################
		#################### ################################################################################
			$b4yc_resultat['content'] = join ('', file ('../templates/'.$b4yc_templates.'/statistiks/grafiks_month_header.tpl.php'));
			$b4yc_resultat['content'] = str_replace("{MONTH}",					$b4yc_sel_month,						$b4yc_resultat['content']);
			$b4yc_resultat['content'] = str_replace("{MONTH_TEXT}",				$b4yc_month_array[$b4yc_sel_month-1],	$b4yc_resultat['content']);
			$b4yc_resultat['content'] = str_replace("{YEAR}",					$b4yc_sel_year,							$b4yc_resultat['content']);
#			include ('language.inc.php');
				
		$b4yc_anzahl_Tage = b4yc_get_anzahl_Tage($b4yc_sel_month);		// Anzahl der Tage des gewhlten Monats in die Variable "b4yc_anzahl_Tage" schreiben
		for ($i = 0; $i < $b4yc_anzahl_Tage; $i++)						// Schleifendurchlauf so oft wie es Tage in dem gewhlten Monat gibt
		{
			$b4yc_sel_day = b4yc_get_day($i+1);							// Tageszahl 2-stellig machen
			$b4yc_sel_month = b4yc_get_day($b4yc_sel_month);			// Monatszahl 2-stellig machen
		
			$b4yc_count = b4yc_get_count($b4yc_sel_year,$b4yc_sel_month,$b4yc_sel_day);	// Anzahl der Besucher dieses Tages auslesen und in die Variable "b4yc_count" schreiben
		
			$b4yc_count_weite = 0;	// Breite des Balkens auf 0 stellen
			if ($b4yc_count!="0")	// Wenn es einen Eintrag an dem gewhleten Tag gibt dann erfogt die Bereichnung der Breite des Balkens (in Prozent)
			{
				$b4yc_count_weite = ceil(($b4yc_count/b4yc_get_max_count_day($b4yc_sel_year,b4yc_get_day($b4yc_sel_month)))*80)."%";
			}
			#################################################################################################
			#######		Tabellenzeilen mit Balken aus Templates anzeigen    #################################
			#################################################################################################
				$b4yc_resultat['content'] .= join ('', file ('../templates/'.$b4yc_templates.'/statistiks/grafiks_month_table.tpl.php'));
				
				if($b4yc_heute==(($b4yc_sel_year."-".$b4yc_sel_month."-".$b4yc_sel_day)) && (b4yc_look_for_data_details($b4yc_sel_year,$b4yc_sel_month,$b4yc_sel_day)==0))
				{
					$b4yc_resultat['content'] = str_replace("{DAY}",				$b4yc_sel_day,					$b4yc_resultat['content']);
					$b4yc_resultat['content'] = str_replace("{YEAR}",				$b4yc_sel_year,					$b4yc_resultat['content']);
					$b4yc_resultat['content'] = str_replace("{DETAIL_URL_BEGINN}",	"",								$b4yc_resultat['content']);
					$b4yc_resultat['content'] = str_replace("{DETAIL_URL_ENDE}",	"",								$b4yc_resultat['content']);	
					$b4yc_resultat['content'] = str_replace("{HEUTE}",				"*",							$b4yc_resultat['content']);
				}
				else if ($b4yc_heute==($b4yc_sel_year."-".$b4yc_sel_month."-".$b4yc_sel_day) && (b4yc_look_for_data_details($b4yc_sel_year,$b4yc_sel_month,$b4yc_sel_day)!=0) && ($b4yc_show_stat_day=="yes"))
				{
					$b4yc_resultat['content'] = str_replace("{DAY}",				$b4yc_sel_day,					$b4yc_resultat['content']);
					$b4yc_resultat['content'] = str_replace("{YEAR}",				$b4yc_sel_year,					$b4yc_resultat['content']);
					$b4yc_resultat['content'] = str_replace("{DETAIL_URL_BEGINN}",	"<strong><a href=\"".$b4yc_url."/statistiks/details.php?b4yc_day_details=".$b4yc_sel_year."-".$b4yc_sel_month."-".$b4yc_sel_day."\" class=\"b4yc\" target=\"_parent\">",			$b4yc_resultat['content']);
					$b4yc_resultat['content'] = str_replace("{DETAIL_URL_ENDE}",	"</a></strong>",				$b4yc_resultat['content']);
					$b4yc_resultat['content'] = str_replace("{HEUTE}",				"*",							$b4yc_resultat['content']);
				}
				else if((b4yc_look_for_data_details($b4yc_sel_year,$b4yc_sel_month,$b4yc_sel_day)!=0) && ($b4yc_show_stat_day=="yes"))
				{
					$b4yc_resultat['content'] = str_replace("{DAY}",				$b4yc_sel_day,					$b4yc_resultat['content']);
					$b4yc_resultat['content'] = str_replace("{YEAR}",				$b4yc_sel_year,					$b4yc_resultat['content']);
					$b4yc_resultat['content'] = str_replace("{DETAIL_URL_BEGINN}",	"<strong><a href=\"".$b4yc_url."/statistiks/details.php?b4yc_day_details=".$b4yc_sel_year."-".$b4yc_sel_month."-".$b4yc_sel_day."\" class=\"b4yc\" target=\"_parent\">",			$b4yc_resultat['content']);
					$b4yc_resultat['content'] = str_replace("{DETAIL_URL_ENDE}",	"</a></strong>",				$b4yc_resultat['content']);
					$b4yc_resultat['content'] = str_replace("{HEUTE}",				"",								$b4yc_resultat['content']);
				}
				else
				{
					$b4yc_resultat['content'] = str_replace("{DAY}",		$b4yc_sel_day,					$b4yc_resultat['content']);
					$b4yc_resultat['content'] = str_replace("{YEAR}",		$b4yc_sel_year,					$b4yc_resultat['content']);
					$b4yc_resultat['content'] = str_replace("{DETAIL_URL_BEGINN}",	"",						$b4yc_resultat['content']);
					$b4yc_resultat['content'] = str_replace("{DETAIL_URL_ENDE}",	"",						$b4yc_resultat['content']);
					$b4yc_resultat['content'] = str_replace("{HEUTE}",				"",						$b4yc_resultat['content']);					
				}
				$b4yc_resultat['content'] = str_replace("{MONTH}",			$b4yc_sel_month,				$b4yc_resultat['content']);
				$b4yc_resultat['content'] = str_replace("{%}",				$b4yc_count_weite,				$b4yc_resultat['content']);	// Prozent der Gre Balkens der Besucher
				$b4yc_resultat['content'] = str_replace("{WERT}",			$b4yc_count,					$b4yc_resultat['content']);	// Wert der Besucher
				$b4yc_resultat['content'] = str_replace("{COLOR}",			$b4yc_balken_count_color,		$b4yc_resultat['content']);	// Balkenfarbe 
				$b4yc_resultat['content'] = str_replace("{TEMPLATES}",		$b4yc_templates,				$b4yc_resultat['content']); // Name des Templates
				$b4yc_resultat['content'] = str_replace("{SUMM_DAYS}",		$b4yc_anzahl_Tage,				$b4yc_resultat['content']); // Anzahl der Tage in diesem Monat
		}
		####################################################################################################
		#######		Footer der Tabelle aus Templates anzeigen    ############################################
		#####################################################################################################
			$b4yc_resultat['content'] .= join ('', file ('../templates/'.$b4yc_templates.'/statistiks/grafiks_month_footer.tpl.php'));

		include ('language.inc.php');
		return $b4yc_resultat['content'];
	}


#########################################################################################################
# 003 #		Besucherdetails anzeigen    #################################################################
#########################################################################################################
	function b4yc_temp_details_day($b4yc_day)
	{
		global	$b4yc_url,					// [includes/func_show.inc.php 	- 002]
				$b4yc_templates,			// [includes/config.inc.php 	- 003]
				$b4yc_sel_month,			// [includes/vars_stats.inc.php - 003]
				$b4yc_sel_year,				// [includes/vars_stats.inc.php	- 002]
				$b4yc_db_table,				// [includes/config.inc.php 	- 001]
				$b4yc_month_array,			// [includes/vars_stats.inc.php - 001]
				$b4yc_balken_count_color,	// [includes/func_show.inc.php	- 002]
				$b4yc_aktuelle_zeit,		// [includes/vars_show.inc.php 	- 002]
				$b4yc_day_details,
				$b4yc_ap,
				$b4yc_entries_per_day;
		
		if (isset($_REQUEST['b4yc_ap'])) { $b4yc_ap	= ($_REQUEST['b4yc_ap']); } else { $b4yc_ap = ""; }
	
		if ($b4yc_day=="today") { $b4yc_details_day = _B4YC_DETAILS_TODAY_BUTTON; }
		else if ($b4yc_day=="yesterday") { $b4yc_details_day = _B4YC_DETAILS_YESTERDAY_BUTTON; }
		#####################################################################################################
		#######		Header der Tabelle aus Templates anzeigen    ############################################
		#################### ################################################################################
			$b4yc_resultat['content'] = join ('', file ('../templates/'.$b4yc_templates.'/statistiks/details_day_header.tpl.php'));
			$b4yc_resultat['content'] = str_replace("{DETAILS_DAY}",			$b4yc_details_day,						$b4yc_resultat['content']);
			$b4yc_resultat['content'] = str_replace("{TEMPLATES}",				$b4yc_templates,						$b4yc_resultat['content']);
				
		if ($b4yc_day=="today")
		{
			$b4yc_query = "SELECT * FROM ".$b4yc_db_table."counter_data WHERE date='".date("Y-m-d", ( $b4yc_aktuelle_zeit ))."' ORDER BY id DESC";
		}
		else if ($b4yc_day=="yesterday")
		{
			$b4yc_query = "SELECT * FROM ".$b4yc_db_table."counter_data WHERE date='".date("Y-m-d", ( $b4yc_aktuelle_zeit-86400 ))."' ORDER BY id DESC";
		}
		else
		{
			$b4yc_start_list = ($b4yc_ap*$b4yc_entries_per_day);
			# echo $b4yc_start_list." | ".$b4yc_entries_per_day;
			$b4yc_query = "SELECT * FROM ".$b4yc_db_table."counter_data WHERE date='".$b4yc_day."' ORDER BY id DESC LIMIT ".$b4yc_start_list.",".$b4yc_entries_per_day;
		}
	
		$b4yc_result = mysql_query($b4yc_query) or die (mysql_error());
		$b4yc_gesX = mysql_num_rows($b4yc_result);
		if ($b4yc_gesX == "0")		// wenn kein Eintrag vorhanden ist
		{
			#################################################################################################
			#######		Ausgabe "no vistit" aus Templates anzeigen    #######################################
			#################################################################################################
				$b4yc_resultat['content'] .= join ('', file ('../templates/'.$b4yc_templates.'/statistiks/alert_no_visit.tpl.php'));
				$b4yc_resultat['content'] = str_replace("{DETAILS_DAY}",			$b4yc_details_day,						$b4yc_resultat['content']);
#				include ('language.inc.php');
		}
		while ($b4yc_daten = mysql_fetch_array($b4yc_result))
		{
			// Referer Text auf maximale Zeichen begrenzen
			$b4yc_referer_text = substr($b4yc_daten['referer'],0,75);
			
			#################################################################################################
			#######		Tabellenzeilen mit Balken aus Templates anzeigen    #################################
			#################################################################################################
				$b4yc_resultat['content'] .= join ('', file ('../templates/'.$b4yc_templates.'/statistiks/details_day_table.tpl.php'));
				$b4yc_resultat['content'] = str_replace("{COUNTER_ID}",		$b4yc_daten['id'],					$b4yc_resultat['content']);
				$b4yc_resultat['content'] = str_replace("{IP}",				$b4yc_daten['ip'],					$b4yc_resultat['content']);
				$b4yc_resultat['content'] = str_replace("{DATE}",			$b4yc_daten['date'],				$b4yc_resultat['content']);
				$b4yc_resultat['content'] = str_replace("{TIME}",			date("H:i:s", $b4yc_daten['time']),	$b4yc_resultat['content']);
				$b4yc_resultat['content'] = str_replace("{HOST}",			$b4yc_daten['host'],				$b4yc_resultat['content']);
				$b4yc_resultat['content'] = str_replace("{CLIENT}",			$b4yc_daten['client'],				$b4yc_resultat['content']); 
				$b4yc_resultat['content'] = str_replace("{REFERER}",		$b4yc_daten['referer'],				$b4yc_resultat['content']);
				$b4yc_resultat['content'] = str_replace("{REFERER_TEXT}",	$b4yc_referer_text,					$b4yc_resultat['content']); 
				$b4yc_resultat['content'] = str_replace("{PAGEVEWS}",		$b4yc_daten['iphits'],				$b4yc_resultat['content']);
		
#				include ('language.inc.php');
		}
		####################################################################################################
		#######		Footer der Tabelle aus Templates anzeigen    ############################################
		#####################################################################################################
			$b4yc_resultat['content'] .= join ('', file ('../templates/'.$b4yc_templates.'/statistiks/details_day_footer.tpl.php'));

		include ('language.inc.php');
		return $b4yc_resultat['content'];
	}


#########################################################################################################
# 004 #		Header "Statistiks" aus Template erstellen    ################################################
#########################################################################################################
	function b4yc_temp_statistiks_header()
	{
		global	$b4yc_titel,				// [includes/config.inc.php 	- 002]
				$b4yc_url,					// [includes/func_show.inc.php 	- 002]
				$b4yc_templates;			// [includes/config.inc.php 	- 003]
				
		$b4yc_resultat['content'] = join ('', file ('../templates/'.$b4yc_templates.'/statistiks/header.tpl.php'));
		$b4yc_resultat['content'] = str_replace("{COUNTER_TITLE}",			$b4yc_titel,			$b4yc_resultat['content']);
		$b4yc_resultat['content'] = str_replace("{ROOT}",					'..',					$b4yc_resultat['content']);
		$b4yc_resultat['content'] = str_replace("{TEMPLATES}",				$b4yc_templates,		$b4yc_resultat['content']);
		
		include ('language.inc.php');
		return $b4yc_resultat['content'];
	}


#########################################################################################################
# 005 #		Footer "Statistiks" aus Template erstellen    ###############################################
#########################################################################################################
	function b4yc_temp_statistiks_footer()
	{
		global	$b4yc_titel,				// [includes/config.inc.php 	- 002]
				$b4yc_url,					// [includes/func_show.inc.php 	- 002]
				$b4yc_templates;			// [includes/config.inc.php 	- 003]
				
		$b4yc_resultat['content'] = join ('', file ('../templates/'.$b4yc_templates.'/statistiks/footer.tpl.php'));
		$b4yc_resultat['content'] = str_replace("{COUNTER_TITLE}",			$b4yc_titel,			$b4yc_resultat['content']);
		
		include ('language.inc.php');
		return $b4yc_resultat['content'];
	}


#########################################################################################################
# 006 #		Auswahl fr die grafische Statistik aus Template erstellen    ###############################
#########################################################################################################
	function b4yc_temp_statistiks_select()
	{
		global	$b4yc_url,					// [includes/func_show.inc.php 	- 002]
				$b4yc_templates,			// [includes/config.inc.php 	- 003]
				$b4yc_sel_month,			// [includes/vars_stats.inc.php - 003] REQUEST-Variable
				$b4yc_sel_year,
				$b4yc_db_table;				// [includes/config.inc.php 	- 001]
		
		if ($b4yc_sel_month=="1")	{$b4yc_sel_01="selected";} else {$b4yc_sel_01="";}
		if ($b4yc_sel_month=="2")	{$b4yc_sel_02="selected";} else {$b4yc_sel_02="";}
		if ($b4yc_sel_month=="3")	{$b4yc_sel_03="selected";} else {$b4yc_sel_03="";}
		if ($b4yc_sel_month=="4")	{$b4yc_sel_04="selected";} else {$b4yc_sel_04="";}
		if ($b4yc_sel_month=="5")	{$b4yc_sel_05="selected";} else {$b4yc_sel_05="";}
		if ($b4yc_sel_month=="6")	{$b4yc_sel_06="selected";} else {$b4yc_sel_06="";}
		if ($b4yc_sel_month=="7")	{$b4yc_sel_07="selected";} else {$b4yc_sel_07="";}
		if ($b4yc_sel_month=="8")	{$b4yc_sel_08="selected";} else {$b4yc_sel_08="";}
		if ($b4yc_sel_month=="9")	{$b4yc_sel_09="selected";} else {$b4yc_sel_09="";}
		if ($b4yc_sel_month=="10")	{$b4yc_sel_10="selected";} else {$b4yc_sel_10="";}
		if ($b4yc_sel_month=="11")	{$b4yc_sel_11="selected";} else {$b4yc_sel_11="";}
		if ($b4yc_sel_month=="12")	{$b4yc_sel_12="selected";} else {$b4yc_sel_12="";}

		$b4yc_resultat['content'] = join ('', file ('../templates/'.$b4yc_templates.'/statistiks/select.tpl.php'));
		$b4yc_resultat['content'] = str_replace("{PAGE}",					$PHP_SELF,				$b4yc_resultat['content']);
		$b4yc_resultat['content'] = str_replace("{AKTION}",					'b4yc_aktion',			$b4yc_resultat['content']);
		$b4yc_resultat['content'] = str_replace("{SELECTED_01}",			$b4yc_sel_01,			$b4yc_resultat['content']);
		$b4yc_resultat['content'] = str_replace("{SELECTED_02}",			$b4yc_sel_02,			$b4yc_resultat['content']);
		$b4yc_resultat['content'] = str_replace("{SELECTED_03}",			$b4yc_sel_03,			$b4yc_resultat['content']);
		$b4yc_resultat['content'] = str_replace("{SELECTED_04}",			$b4yc_sel_04,			$b4yc_resultat['content']);
		$b4yc_resultat['content'] = str_replace("{SELECTED_05}",			$b4yc_sel_05,			$b4yc_resultat['content']);
		$b4yc_resultat['content'] = str_replace("{SELECTED_06}",			$b4yc_sel_06,			$b4yc_resultat['content']);
		$b4yc_resultat['content'] = str_replace("{SELECTED_07}",			$b4yc_sel_07,			$b4yc_resultat['content']);
		$b4yc_resultat['content'] = str_replace("{SELECTED_08}",			$b4yc_sel_08,			$b4yc_resultat['content']);
		$b4yc_resultat['content'] = str_replace("{SELECTED_09}",			$b4yc_sel_09,			$b4yc_resultat['content']);
		$b4yc_resultat['content'] = str_replace("{SELECTED_10}",			$b4yc_sel_10,			$b4yc_resultat['content']);
		$b4yc_resultat['content'] = str_replace("{SELECTED_11}",			$b4yc_sel_11,			$b4yc_resultat['content']);
		$b4yc_resultat['content'] = str_replace("{SELECTED_12}",			$b4yc_sel_12,			$b4yc_resultat['content']);
		$b4yc_resultat['content'] = str_replace("{TEMPLATES}",				$b4yc_templates,		$b4yc_resultat['content']);
		
		## Auslesen der verfgbaren Jahresanzeigen
		$b4yc_show_year = array();
		$b4yc_show_year1 = array();
		$b4yc_query = "SELECT date FROM ".$b4yc_db_table."counter_stat";
		$b4yc_result = mysql_query($b4yc_query) or die (mysql_error());		
		while ($b4yc_daten = mysql_fetch_array($b4yc_result)) 
		{
			$b4yc_show_year[] = strtok($b4yc_daten[0],"-");
		}
		$b4yc_show_year1 = array_unique($b4yc_show_year);

		## Auswahlbalken erstellen
		sort($b4yc_show_year1); 
		$b4yc_i="0";
		$b4yc_num_year1 = (count($b4yc_show_year1)-1);
		# $b4yc_option_select_year = "<select name=\"b4yc_sel_year\">";
		while ($b4yc_i<=$b4yc_num_year1)
		{
			$b4yc_option_select_year .= "<option value=\"".$b4yc_show_year1[$b4yc_i]."\""; 
			if ($b4yc_sel_year == $b4yc_show_year1[$b4yc_i])
			{
				$b4yc_option_select_year .= "selected";
			}
			$b4yc_option_select_year .= ">".$b4yc_show_year1[$b4yc_i]." </option>";
			$b4yc_i++;
		}
		# $b4yc_option_select_year .= "</select>";
	
		$b4yc_resultat['content'] = str_replace("{OPTION_SELECT_YEAR}",		$b4yc_option_select_year,	$b4yc_resultat['content']);
		
		include ('language.inc.php');
		return $b4yc_resultat['content'];
	}


#########################################################################################################
# 007 #		Header "Details" aus Template erstellen    ##################################################
#########################################################################################################
	function b4yc_temp_details_header()
	{
		global	$b4yc_titel,				// [includes/config.inc.php 	- 002]
				$b4yc_url,					// [includes/func_show.inc.php 	- 002]
				$b4yc_templates,			// [includes/config.inc.php 	- 003]
				$b4yc_summe_visits,
				$b4yc_entries_per_day,
				$b4yc_ap;
				
		if (isset($_REQUEST['b4yc_ap'])) { $b4yc_ap	= ($_REQUEST['b4yc_ap']); } else { $b4yc_ap = ""; }
		
		$b4yc_resultat['content'] = join ('', file ('../templates/'.$b4yc_templates.'/statistiks/header_details.tpl.php'));
		$b4yc_resultat['content'] = str_replace("{COUNTER_TITLE}",			$b4yc_titel,			$b4yc_resultat['content']);
		$b4yc_resultat['content'] = str_replace("{ROOT}",					$b4yc_url,				$b4yc_resultat['content']);
		$b4yc_resultat['content'] = str_replace("{TEMPLATES}",				$b4yc_templates,		$b4yc_resultat['content']);
		$b4yc_resultat['content'] = str_replace("{PAGENUMBER}",				$b4yc_ap+1,				$b4yc_resultat['content']); // aktuelle Seite
		$b4yc_resultat['content'] = str_replace("{SUMME_PAGES}",	ceil($b4yc_summe_visits/$b4yc_entries_per_day),	$b4yc_resultat['content']); // gesamte Anzahl an Seiten
		
		include ('language.inc.php');
		return $b4yc_resultat['content'];
	}

?>